Option Compare Binary
Option Explicit On
Option Strict On

Imports System

''' <summary>Represents a Win32 integer resource type.</summary>
Public NotInheritable Class IntegerResourceType
    Inherits ResourceType

    Private m_Value As IntPtr

    ''' <summary>Initializes a new instance of the class.</summary>
    ''' <param name="Value">The value of the integer resource type.</param>
    Public Sub New(ByVal Value As IntPtr)
        Me.Value = Value
    End Sub

    ''' <summary>Initializes a new instance of the class.</summary>
    ''' <param name="Value">The value of the integer resource type.</param>
    Public Sub New(ByVal Value As Integer)
        Me.Value = New IntPtr(Value)
    End Sub

    ''' <summary>
    '''   Gets or sets the value of the integer resource type.
    ''' </summary>
    ''' <value>The value of the integer resource type.</value>
    ''' <returns>
    '''   A <c>System.IntPtr</c> object representing the value of the
    '''   resource type.
    ''' </returns>
    Public Property Value() As IntPtr
        Get
            Return m_Value
        End Get
        Private Set(ByVal Value As IntPtr)
            m_Value = Value
        End Set
    End Property

    ''' <summary>Returns a string representing the object.</summary>
    ''' <returns>A string representing the object.</returns>
    Public Overrides Function ToString() As String
        If [Enum].IsDefined(GetType(NativeMethods.RT_Constants), Value.ToInt32()) Then
            Return [Enum].GetName(GetType(NativeMethods.RT_Constants), Value.ToInt32())
        Else
            Return Me.Value.ToString()
        End If
    End Function
End Class