Option Compare Binary
Option Explicit On
Option Strict On

Imports MvpsOrg.Dotnet.Win32.ResLib.NativeMethods
Imports System

''' <summary>
'''   Options used for loading images from an image file.
''' </summary>
<Flags()> _
Public Enum LoadImageOptions

    ''' <summary>
    '''   Loads the image using the default color of the image.
    ''' </summary>
    DefaultColor = LR_Flags.LR_DEFAULTCOLOR

    ''' <summary>
    '''   Creates a device-independent DIB section instead of a
    '''   device-dependent bitmap.
    ''' </summary>
    CreateDibSection = LR_Flags.LR_CREATEDIBSECTION

    ''' <summary>
    '''   Loads the image using the width or height specified by the system
    '''   metric values for cursors or icons.
    ''' </summary>
    DefaultSize = LR_Flags.LR_DEFAULTSIZE

    'LoadFromFile = LR_Flags.LR_LOADFROMFILE

    ''' <summary>
    '''   Replaces dark gray, gray, and light gray with corresponding 3D
    '''   window colors.
    ''' </summary>
    LoadMap3DColors = LR_Flags.LR_LOADMAP3DCOLORS

    ''' <summary>
    '''   Retrieves the color value of the first pixel in the image and
    '''   replaces the corresponding entry in the color table with the
    '''   default window color.
    ''' </summary>
    LoadTransparent = LR_Flags.LR_LOADTRANSPARENT

    ''' <summary>Loads the image in black and white.</summary>
    Monochrome = LR_Flags.LR_MONOCHROME

    ''' <summary>
    '''   Shares the image handle if the image is loaded multiple times.
    ''' </summary>
    [Shared] = LR_Flags.LR_SHARED

    ''' <summary>Loads the image using true VGA colors.</summary>
    VgaColor = LR_Flags.LR_VGACOLOR
End Enum