Option Compare Binary
Option Explicit On
Option Strict On

''' <summary>Represents a Win32 resource type name.</summary>
Public NotInheritable Class StringResourceType
    Inherits ResourceType

    Private m_Value As String

    ''' <summary>Initializes a new instance of the class.</summary>
    ''' <param name="Value">The resource type name.</param>
    Public Sub New(ByVal Value As String)
        Me.Value = Value
    End Sub

    ''' <summary>Gets or sets the resource type name.</summary>
    ''' <value>The resource type name.</value>
    ''' <returns>A string representing the resource type name.</returns>
    Public Property Value() As String
        Get
            Return m_Value
        End Get
        Private Set(ByVal Value As String)
            m_Value = Value
        End Set
    End Property

    ''' <summary>Returns a string representing the object.</summary>
    ''' <returns>A string representing the object.</returns>
    Public Overrides Function ToString() As String
        Return Me.Value
    End Function
End Class